JUCE: BlocksVersion Struct Reference

JUCE

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
BlocksVersion Struct Reference

## Public Member Functions
String | toString (bool extended=false) const
| BlocksVersion (const String &)
| Constructs a version number from an formatted String. More...
| BlocksVersion (const BlocksVersion &other)=default
| Constructs a version number from another BlocksVersion. More...
| BlocksVersion ()=default
| Creates an empty version number. More...
bool | operator== (const BlocksVersion &) const
bool | operator!= (const BlocksVersion &) const
bool | operator< (const BlocksVersion &) const
bool | operator> (const BlocksVersion &) const
bool | operator<= (const BlocksVersion &) const
bool | operator>= (const BlocksVersion &) const

## Static Public Member Functions
static bool | isValidVersion (const String &versionString)
| Returns true if string format is valid. More...

## Public Attributes
int | major = 0
| The main value in a version number x.0.0. More...
int | minor = 0
| The secondary value in a version number 1.x.0. More...
int | patch = 0
| The tertiary value in a version number 1.0.x. More...
String | releaseType
| The release tag for this version, such as "beta", "alpha", "rc", etc. More...
int | releaseCount = 0
| A numberical value assosiated with the release tag, such as "beta 4". More...
String | commit
| The assosiated git commit that generated this firmware version. More...
bool | forced = false
| Identify "forced" firmware builds. More...

## Constructor & Destructor Documentation

## ◆ BlocksVersion() [1/3]

BlocksVersion::BlocksVersion | ( | const String & |  | ) |

Constructs a version number from an formatted String.

## ◆ BlocksVersion() [2/3]

BlocksVersion::BlocksVersion | ( | const BlocksVersion & | other | ) |
| default

Constructs a version number from another BlocksVersion.

## ◆ BlocksVersion() [3/3]

BlocksVersion::BlocksVersion | ( |  | ) |
| default

Creates an empty version number.

## Member Function Documentation

## ◆ toString()

String BlocksVersion::toString | ( | bool | extended = `false` | ) | const

## ◆ isValidVersion()

static bool BlocksVersion::isValidVersion | ( | const String & | versionString | ) |
| static

Returns true if string format is valid.

## ◆ operator==()

bool BlocksVersion::operator== | ( | const BlocksVersion & |  | ) | const

## ◆ operator!=()

bool BlocksVersion::operator!= | ( | const BlocksVersion & |  | ) | const

## ◆ operator<()

bool BlocksVersion::operator< | ( | const BlocksVersion & |  | ) | const

## ◆ operator>()

bool BlocksVersion::operator> | ( | const BlocksVersion & |  | ) | const

## ◆ operator<=()

bool BlocksVersion::operator<= | ( | const BlocksVersion & |  | ) | const

## ◆ operator>=()

bool BlocksVersion::operator>= | ( | const BlocksVersion & |  | ) | const

## Member Data Documentation

## ◆ major

int BlocksVersion::major = 0

The main value in a version number x.0.0.

## ◆ minor

int BlocksVersion::minor = 0

The secondary value in a version number 1.x.0.

## ◆ patch

int BlocksVersion::patch = 0

The tertiary value in a version number 1.0.x.

## ◆ releaseType

String BlocksVersion::releaseType

The release tag for this version, such as "beta", "alpha", "rc", etc.

## ◆ releaseCount

int BlocksVersion::releaseCount = 0

A numberical value assosiated with the release tag, such as "beta 4".

## ◆ commit

String BlocksVersion::commit

The assosiated git commit that generated this firmware version.

## ◆ forced

bool BlocksVersion::forced = false

Identify "forced" firmware builds.

The documentation for this struct was generated from the following file:

- juce_BlocksVersion.h